Subject: Re: [PATCH v2 1/2] repo: add a default output format to enum output_format

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 5 Jan 2026 15:18:41 +0100

On Tue, Dec 09, 2025 at 04:36:02PM -0300, Lucas Seiki Oshiro wrote:
> Add a `FORMAT_DEFAULT` value to `enum output_format`. Change the initial
> value of `format` to `FORMAT_DEFAULT` in cmd_repo_info, indicating that
> the initial value hasn't been changed. Also map the string "default" to
> this new value in `parse_format_cb`, allowing future patches to add
> support to --format=default.

This is missing a test. It would for example be nice to verify that
"--format=nul --format=default" does the expected thing.

Also, I didn't see `git repo structure` being updated. Should we do that
so that both subcommands know to handle the "default" format?

Patrick